Bug 215938 - devel/gdb: adding MIPS support and other fixes
Summary: devel/gdb: adding MIPS support and other fixes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Olivier Cochard
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-10 13:24 UTC by luca.pizzamiglio
Modified: 2017-01-13 08:01 UTC (History)
2 users (show)

See Also:


Attachments
The updating patch (55.26 KB, patch)
2017-01-10 13:24 UTC, luca.pizzamiglio
luca.pizzamiglio: maintainer-approval+
Details | Diff
poudriere build on FreeBSD 10.3 i386 (gzipped, too big) (68.22 KB, application/gzip)
2017-01-10 13:28 UTC, luca.pizzamiglio
no flags Details
poudriere build on FreeBSD 11 amd64 (gzipped, too big) (68.28 KB, application/gzip)
2017-01-10 13:28 UTC, luca.pizzamiglio
no flags Details
poudriere build with all options enabled (gzipped, too big) (70.72 KB, application/gzip)
2017-01-10 13:29 UTC, luca.pizzamiglio
no flags Details
poudriere build on FreeBSD 11 mips (977.71 KB, text/plain)
2017-01-10 13:29 UTC, luca.pizzamiglio
no flags Details
Recreated the patch after r430947 (55.10 KB, patch)
2017-01-12 15:01 UTC, luca.pizzamiglio
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description luca.pizzamiglio 2017-01-10 13:24:12 UTC
Created attachment 178706 [details]
The updating patch

devel/gdb: Adding mips support and other small stuff

Adding the support to MIPS architecture (closing PR 215783)
(thanks to jhb@ and sponsored by: DARPA / AFRL)
Fixing the build on powerpc architecture (closing PR 21568)
Adding a workaround to mitigate the hangs of gdb under some circumstances
debugging multi-threaded applications (PR 212607)
(thanks to misc-freebsd-bugzilla@talk2dom.com)
Removing the option to use the system readline; the devel/readline port or the bundled library can be used instead (closing PR 215578)
Removing FreeBSD 9 specific fixes.
Bumping the port revision.

portlint: 15 warnings related to patch not generated properly. Due the nature of those patches, 'make makepatch' is not usable.
testport: OK (poudriere 10.3 and 11.0, on amd64, i386, armv6 and mips)

PRs 215783 21568 215578 can be closed
merge-quarterly not needed
Comment 1 luca.pizzamiglio 2017-01-10 13:28:02 UTC
Created attachment 178707 [details]
poudriere build on FreeBSD 10.3 i386 (gzipped, too big)
Comment 2 luca.pizzamiglio 2017-01-10 13:28:35 UTC
Created attachment 178708 [details]
poudriere build on FreeBSD 11 amd64 (gzipped, too big)
Comment 3 luca.pizzamiglio 2017-01-10 13:29:20 UTC
Created attachment 178709 [details]
poudriere build with all options enabled (gzipped, too big)
Comment 4 luca.pizzamiglio 2017-01-10 13:29:51 UTC
Created attachment 178710 [details]
poudriere build on FreeBSD 11 mips
Comment 5 luca.pizzamiglio 2017-01-12 15:01:28 UTC
Created attachment 178794 [details]
Recreated the patch after r430947
Comment 6 luca.pizzamiglio 2017-01-12 15:26:36 UTC
Here there is a better explanation about PRs


PR:            215783

- devel/gdb: Add MIPS support
Sponsored by DARPA / AFRL

PR:            215868

- Fix the build on powerpc64

PR:            215578

- Build failed using system readline library
Comment 7 commit-hook freebsd_committer 2017-01-12 21:40:23 UTC
A commit references this bug:

Author: olivier
Date: Thu Jan 12 21:40:06 UTC 2017
New revision: 431323
URL: https://svnweb.freebsd.org/changeset/ports/431323

Log:
  Add MIPS support and other fixes

  PR:		215938
  - Main PR that merge all
  Submitted by:   luca.pizzamiglio@gmail.com (maintainer)

  PR:		215783
  - Add MIPS support
  Submitted by:   jhb
  Sponsored by:   DARPA / AFRL

  PR:		215868
  - Fix build on powerpc architecture
  Reported by:    Mark Millard

  PR:		212607
  - Add a workaround to mitigate gdb hangs under some circumstances
  with multi-threaded applications
  (thanks to misc-freebsd-bugzilla@talk2dom.com)
  Reported by:    tijl

  PR:		215578
  - Fix build by removing option to use system readline
  Reported by:    rozhuk.im@gmail.com

Changes:
  head/devel/gdb/Makefile
  head/devel/gdb/distinfo
  head/devel/gdb/files/commit-387360daf9
  head/devel/gdb/files/commit-b268007c68
  head/devel/gdb/files/extrapatch-base-readline
  head/devel/gdb/files/extrapatch-kgdb
  head/devel/gdb/files/kgdb/mipsfbsd-kern.c
  head/devel/gdb/files/kgdb/ppcfbsd-kern.c
  head/devel/gdb/files/kgdb/sparc64fbsd-kern.c
  head/devel/gdb/files/patch-gdb-fbsd-nat.c
Comment 8 Olivier Cochard freebsd_committer 2017-01-12 21:53:10 UTC
Thanks: I've collected maximum reported/submitter/sponsors informations from all PR and merged them into the commit log.
Comment 9 Walter Schwarzenfeld freebsd_triage 2017-01-12 23:50:38 UTC
(In reply to commit-hook from comment #7)

Something is wrong:

===>  Applying extra patch /usr/ports/devel/gdb/files/commit-387360daf9
Ignoring previously applied (or reversed) patch.
2 out of 2 hunks ignored--saving rejects to gdb/Makefile.in.rej
Ignoring previously applied (or reversed) patch.
1 out of 1 hunks ignored--saving rejects to gdb/configure.tgt.rej
Ignoring previously applied (or reversed) patch.
1 out of 1 hunks ignored--saving rejects to gdb/doc/gdb.texinfo.rej
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/devel/gdb
*** Error code 1
Comment 10 Walter Schwarzenfeld freebsd_triage 2017-01-12 23:51:24 UTC
(In reply to w.schwarzenfeld from comment #9)
Forgot: on 10.3 amd64.
Comment 11 Olivier Cochard freebsd_committer 2017-01-13 06:58:42 UTC
​OOps: should be fixed ​by r431343.
Comment 12 Walter Schwarzenfeld freebsd_triage 2017-01-13 08:01:39 UTC
(In reply to Olivier Cochard from comment #11)

Thanks, works now fine.